base_tweener.hpp File Reference

Common interface for all tweeners. More...

`#include <list>`
`#include <boost/function.hpp>`

Go to the source code of this file.

## Classes

class | claw::tween::base_tweener
| Common interface for all tweeners. More...

## Namespaces

namespace | claw
| This is the main namespace.
namespace | claw::tween
| Tweeners interpolate the intermediate values between two given reference values using various equations.

## Detailed Description

Common interface for all tweeners.

Author
  Julien Jorge

Definition in file base_tweener.hpp.